Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.alien.enterpriseRFID.tags
Interface TagTableListener

public interface TagTableListener

TagTableListener is an interface to be implemented by all objects that want to receive notifications from from a TagTable when its underlying tag list changes. There is only two methods that are required to be provided by a `TagTableListener`: tagAdded(Tag) and tagRemoved(Tag).

Version:
  1.3 Apr 2008
Author:
  David Krull

Method Summary
`void` | `tagAdded(Tag tag)` Called by a TagTable when a new tag has been added to its tag list.
`void` | `tagRemoved(Tag tag)` Called by a TagTable when a tag has expired from its tag list, due to inactivity.
`void` | `tagRenewed(Tag tag)` Called by a TagTable when a tag has been added to its tag list, and a similar tag already existed.

Method Detail

### tagAdded

    public void tagAdded(Tag tag)

  Called by a TagTable when a new tag has been added to its tag list. Note that if a tag is "added" to a TagTable and it already exists in its tag list, that is considered a renewal and this method will not be called.

  Parameters:
    `tag` - the Tag that was added to the TagTable

### tagRenewed

    public void tagRenewed(Tag tag)

  Called by a TagTable when a tag has been added to its tag list, and a similar tag already existed. The tag data will be merged and the resulting Tag object will be passed along.

  Parameters:
    `tag` - the Tag that was added/renewed to the TagTable

### tagRemoved

    public void tagRemoved(Tag tag)

  Called by a TagTable when a tag has expired from its tag list, due to inactivity. Note that if a tag is manually removed from a TagTable with the removeTag() method, this method will not be called.

  Parameters:
    `tag` - the Tag that was removed to the TagTable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD